=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+           Sune Vuorela <sune@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
                libkf5coreaddons-dev (>= 5.71.0~),
                libkf5doctools-dev (>= 5.71.0~),
-               libkf5i18n-dev (>= 5.71.0~),
-               libkf5kio-dev (>= 5.71.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5kio-dev (>= 5.83.0~),
                libkf5parts-dev (>= 5.71.0~),
                libkf5solid-dev (>= 5.71.0~),
-               libkf5xmlgui-dev (>= 5.71.0~),
-               libqt5svg5-dev (>= 5.12.0~),
+               libkf5xmlgui-dev (>= 5.83.0~),
+               libqt5svg5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.0~),
                qtscript5-dev (>= 5.12.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
