## filelight 22.08.2

=== debian/changelog ===
filelight (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:07 +0100

filelight (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:55 +0100

filelight (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Drop upstream_make-sure-we-always-show-a-size-on-posix.patch
    included in this release.
  * Update build depend from cmake.
  * Add qml-module runtime depends, as indicated by cmake output.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:17 +0100

filelight (4:22.04.3-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 15:23:43 +0100

filelight (4:22.04.3-3) unstable; urgency=medium

  * Team upload.
  * Make the test suite non-fatal for now, as DirectoryIterator/POSIXWalker
    or its tests fails on filesystems with large inodes/blocks.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jul 2022 19:26:03 +0200

filelight (4:22.04.3-2) unstable; urgency=medium

  * Team upload.
  * Actually drop the pkg-kde-tools build dependency (forgotten to be removed
    as part of the changes in 4:22.04.3-1).
  * Backport upstream commit e98a0c6dc739dfd3d734b0f8bbe154ee59c775a9 to make
    sure to always show a size of a filesystem entry even if 0 blocks are
    reported for it; patch
    upstream_make-sure-we-always-show-a-size-on-posix.patch.
  * Before building, as a way to help diagnose issues in
    DirectoryIterator/POSIXWalker, print:
    - the filesystem information for the source directory
    - the information on some of the test files

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2022 10:38:14 +0200

filelight (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.91.0
    - drop libkf5parts-dev, libkf5solid-dev, and qtscript5-dev, no more needed
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2022 06:44:00 +0200

filelight (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:31 +0100

filelight (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:10 +0100

filelight (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:59 +0100

filelight (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:46 +0100

filelight (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:42:57 +0100

filelight (4:21.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.2).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Mar 2022 00:10:50 +0100
