=== debian/changelog ===
filelight (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:44 +0100

filelight (4:22.12.2-2) unstable; urgency=medium

  * Team upload.
  * Add the missing qml-module-qt-labs-platform runtime dependency.
    (Closes: #1031908)

 -- Pino Toscano <pino@debian.org>  Sat, 25 Feb 2023 09:07:07 +0100

filelight (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Add missing runtime dependencies: qml-module-org-kde-kcoreaddons, and
    qml-module-org-kde-quickcharts. (Closes: #1030549)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Feb 2023 23:50:24 +0100

filelight (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:28 +0100

filelight (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:27 +0100

filelight (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Drop backported upstream patch.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:48 +0100
