=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,8 @@
 configure_file(test-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)
 
 ecm_add_test(directoryIteratorTest.cpp TEST_NAME directoryIteratorTest LINK_LIBRARIES Qt::Test filelightInternal)
+if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+    # Fails on freebsd for unknown reasons -> only run it on linux.
+    ecm_add_test(localListerTest.cpp TEST_NAME localListerTest LINK_LIBRARIES Qt::Test filelightInternal)
+endif()
+ecm_add_test(scanManagerTest.cpp TEST_NAME scanManagerTest LINK_LIBRARIES Qt::Test filelightInternal)
