=== debian/changelog ===
filelight (4:23.03.70~git20230107.902a9547-2) experimental; urgency=medium

  * Team upload.
  * This new version has tests that require a display, so:
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run

 -- Pino Toscano <pino@debian.org>  Tue, 10 Jan 2023 07:46:40 +0100

filelight (4:23.03.70~git20230107.902a9547-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230107.902a9547).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jan 2023 21:59:56 +0100
