=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	LANG=C stat autotests/iterator-tree.in/*
 
 override_dh_auto_test:
-	- dh_auto_test
+	- xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
