## filelight 23.04.2

=== debian/changelog ===
filelight (4:23.04.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libkf5coreaddons-dev to 5.98.0, like the other KF packages
    - drop no more needed: libkf5declarative-dev, and libqt5svg5-dev
  * Add the missing qml-module-org-kde-kirigami2 runtime dependency.
  * disable the fixfilepath reproducibility feature, as it breaks
    QFINDTESTDATA (and thus some tests fail).

 -- Pino Toscano <pino@debian.org>  Tue, 20 Jun 2023 05:20:17 +0200
