=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.91.0~),
-               libkf5declarative-dev (>= 5.94.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
                libkf5doctools-dev,
                libkf5i18n-dev (>= 5.98.0~),
                libkf5kio-dev (>= 5.98.0~),
                libkf5xmlgui-dev (>= 5.98.0~),
-               libqt5svg5-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
@@ -28,7 +26,12 @@
 
 Package: filelight
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2,
+         qml-module-org-kde-quickcharts,
+         qml-module-qt-labs-platform,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: show where your diskspace is being used
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.
